<?

$category = !empty($this->category) ? $this->category : 'escorts';
$controller = $this->request()->getControllerName();
$action = $this->request()->getActionName();
$cls = !empty($this->cls) ? $this->cls : '';



$breadcrumbs = array(
    $this->getLink() . '?is_location_cleared=1' => '<i class="fas fa-home"></i>'
);

if ($controller == 'search') {
    $breadcrumbs['nolink'] = __('search_results');
}
if ($controller == 'advanced-search') {
    $breadcrumbs['nolink'] = __('advanced_search');
}
if ($controller == 'agencies') {
    $breadcrumbs[$this->getLink('agencies')] = __('agencies');
}

if ($category == 'citytours') {
    $breadcrumbs[$this->getLink('citytours') . '?is_location_cleared=1'] = __('tours');
}

if ($controller == 'reviews') {
    $breadcrumbs[$this->getLink('reviews')] = __('reviews');
}

if ($controller == 'comments') {
    $breadcrumbs[$this->getLink('comments')] = __('lc_latest_comments');
}

if ($controller == 'classified-ads') {
    $breadcrumbs[$this->getLink('classified-ads')] = __('classified_ads');
}

if ($controller == 'contacts') {
    $breadcrumbs[$this->getLink('contact-us')] = __('contact_us');
}

if ($controller == 'index' && $action == 'links') {
    $breadcrumbs[$this->getLink('links')] = __('links');
}

if ($controller == 'agencies' && $action == 'show')
{
    $breadcrumbs[$this->getLink('navigation-link', array('top_category' => 'agencies')) . '?country_id=' . $this->agency->country_id ] = $this->agency->country_title;
    $breadcrumbs[$this->getLink('navigation-link', array('top_category' => 'agencies')) . '?country_id=' . $this->agency->country_id . '&city_id=' . $this->agency->city_id] = $this->agency->city_title;
    $breadcrumbs['nolink'] = $this->agency->club_name;
    $no_border = true;
}
elseif ($controller == 'agencies' && $action == 'escorts')
{
    $breadcrumbs[$this->getLink('navigation-link', array('top_category' => 'agencies')) . '?country_id=' . $this->agency->country_id . '&'] = $this->agency->country_title;
    $breadcrumbs[$this->getLink('navigation-link', array('top_category' => 'agencies')) . '?country_id=' . $this->agency->country_id . '&city_id=' . $this->agency->city_id . '&'] = $this->agency->city_title;
    $breadcrumbs[$this->getLink('agency-profile', array('agency_slug' => $this->agency->club_slug, 'agency_id' => $this->agency->agency_id))] = $this->agency->club_name;
    $breadcrumbs['nolink'] = __('all_escorts');
    $no_border = true;
}

// Location breadcrumb items
// --------------------------------------
if ($this->location['country_id']) {
    $country = (new Model_Countries())->getCountryByID($this->location['country_id']);
    $link = $this->getLink('country', array('slug' => $country->country_slug, 'id' => $country->country_id, 'category' => $category));
    $breadcrumbs[rtrim($link, '/')] = $country->country_title;
}

if ($this->location['region_id']) {
    $region = (new Model_Regions())->getRegionCountryByID($this->location['region_id']);
    $link = $this->getLink('country', array('slug' => $region->country_slug, 'id' => $region->country_id, 'category' => $category));
    $link .= "?region_id=" . $region->region_id;
    $breadcrumbs[rtrim($link, '/')] = $region->region_title;
}

if ($this->location['city_id']) {
    $city = (new Model_Cities())->getById($this->location['city_id']);
    $link = $this->getLink('city', array('slug' => $city->slug, 'id' => $city->id, 'category' => $category));
    $breadcrumbs[rtrim($link, '/')] = $city->title;
}
// --------------------------------------

if($controller == 'escorts' && count($breadcrumbs) == 1) {
    $cls .= 'd-none';
}

?>
<nav class="secondary-breadcrumb-wrapper breadcrumbs <?= $cls ?>" aria-label="breadcrumb">
    <div class="inner-section">
        <ol class="breadcrumb">
            <?
            $last = end($breadcrumbs);
            foreach ($breadcrumbs as $bc_link => $bc_name):
                if ($bc_link == 'nolink' || $last == $bc_name) {
                    echo '<li class="breadcrumb-item active">' . $bc_name . '</li>';
                } else {
                    echo '<li class="breadcrumb-item"><a href="' . $bc_link . '">' . $bc_name . '</a></li>';
                }
            endforeach;
            ?>
        </ol>
    </div>
</nav>